Skip to content

Update blog template

PATCH
/api/v1/blog-templates/{template_id}

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

template_id*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
  
"name": "string",
  
"description": "string",
  
"tone": "string",
  
"structure": {
  
  
"additionalProperties": "string"
  
},
  
"custom_instructions": "string",
  
"is_default": true
}

Responses

Successful Response

application/json
JSON
{
  
"id": "string",
  
"organization_id": "string",
  
"name": "string",
  
"description": "string",
  
"tone": "string",
  
"structure": {
  
  
"additionalProperties": "string"
  
},
  
"custom_instructions": "string",
  
"is_default": true,
  
"created_at": "string",
  
"updated_at": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI

XC AI Content Automation